/******************************************************************************
 *  Launchpad demprogram: timer_int
 *
 * A program LED1-et s LED2-t ellentemben villogtatja,  kb. 1 s 
 * peridussal. Az idztst a Timer tcsordulsa adja, amely
 * programmegszaktst okoz.
 * 
 * ACLK =  n/a; MCLK = SMCLK = DCO (~1 MHz)
 * 
 * Hardver kvetelmnyek:
 *  - Launchpad MSP430G22x1 mikrovezrlvel
 *
 *                MSP430G22x1
 *             -----------------
 *         /|\|              XIN|-
 *          | |                 |
 *          --|RST          XOUT|-
 *            |                 |
 *     LED1<--|P1.0         P1.6|-->LED2
 *
 * 
 *  I. Cserny
 *  MTA ATOMKI, Debrecen
 *  Oct 2011
 *  IAR Embedded Workbench for MSP430 v5.30.1 Kickstart Edition
 ******************************************************************************/
#include "io430.h"

void main (void) {
  WDTCTL = WDTPW|WDTHOLD;           // Letiltjuk a watchdog idztt
  P1OUT = BIT0;                     // Alaphelyzet: LED1 be , LED2 ki
  P1DIR = BIT0|BIT6;                // P1.0 (LED1) s P1.6 (LED2) kimenet 
//Folyamatos szmlls, 8-cal oszts, SMCLK a forrs, interrupt engedlyezs  
  TACTL = MC_2|ID_3|TASSEL_2|TAIE;  // Belltjuk s elindjuk Timer_A-t
   __low_power_mode_0();            // MCLK = KI, GIE = BE
}

#pragma vector=TIMERA1_VECTOR
__interrupt void Timer_A(void) {
   switch( TAIV ) {
     case  2: break;                // TACCR1 nincs hasznlatban
     case 10: P1OUT ^= BIT0|BIT6;   // LED-ek llapotnak tbillentse
              break;
   }
}
